=== debian/changelog ===
chicken (4.6.0-1) unstable; urgency=low

  * New upstream version; closes: #609257.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 16 Jan 2011 13:48:08 +0100
