## chicken 4.7.0

=== debian/changelog ===
chicken (4.7.0-1) unstable; urgency=low

  * New upstream version; closes: #639215.
  * debian/control: updated homepage URL; closes: #617963.
  * Now shipping libchicken6 instead of libchicken5.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 05 Sep 2011 15:17:30 +0200
