=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,11 @@
 
 MAKE:=$(MAKE) PLATFORM=linux
 PREFIX=/usr
-BINARYVERSION=5
+BINARYVERSION=6
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS)" VARDIR=/var/lib/
@@ -39,7 +41,7 @@
 # build system, but will not end up in the package.
 	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" VARDIR="$(CURDIR)/debian/tmp/var/lib" install
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
-	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/5/*.so
+	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/6/*.so
 
 binary-common:
 	dh_testdir
@@ -60,7 +62,7 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_installdeb
-	dh_shlibdeps -l debian/libchicken5/usr/lib
+	dh_shlibdeps -l debian/libchicken6/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
