## chicken 4.8.0

=== debian/changelog ===
chicken (4.8.0-1) unstable; urgency=low

  * New upstream version; closes: 689382.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 29 Nov 2012 01:27:16 +0100
