=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,16 @@
 #!/usr/bin/make -f
 BUILD_ARCH = $(shell dpkg --print-installation-architecture)
 
-CFLAGS= -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-     CFLAGS += -O0
-        else
-     CFLAGS += -O2
-endif
+#CFLAGS= -g
+#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+#     CFLAGS += -O0
+#        else
+#     CFLAGS += -O2
+#endif
+
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 MAKE:=$(MAKE) PLATFORM=linux
 PREFIX=/usr
@@ -17,7 +21,7 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS)" VARDIR=/var/lib/
+	$(MAKE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/
 	touch build-stamp
 
 clean:
@@ -39,7 +43,7 @@
 # placed by dpkg-buildpackage. If absolute files are specified,
 # i.e. /var/lib/chicken, then those files will be installed on the
 # build system, but will not end up in the package.
-	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" VARDIR="$(CURDIR)/debian/tmp/var/lib" install
+	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS),-R"."' LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS),-R"."' LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS),-soname,libchicken.so.6' VARDIR="$(CURDIR)/debian/tmp/var/lib" install
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
 	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/6/*.so
 
@@ -52,7 +56,7 @@
 # is very different from the standard makeinfo, and it is incredibly
 # difficult to convince it to produce standalone Texinfo files. 
 #	dh_installinfo chicken.info*
-	dh_installchangelogs ChangeLog.*
+	dh_installchangelogs
 	dh_install --sourcedir=debian/tmp
 	dh_link
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
