## chicken 4.8.0.3

=== debian/changelog ===
chicken (4.8.0.3-3) unstable; urgency=high

  * Fixed LDFLAGS on ia64; closes: #704840.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 17 Jul 2013 15:24:16 +0200

chicken (4.8.0.3-2) unstable; urgency=high

  * Added fix-regenerated-cfiles.patch.
    Modifying .scm files was not enough, I had to include new .c files, too.
    In this way we have a *huge* diff file, but we avoided to Build-Depends
    on chicken-bin itself (I didn't like that approach).
    Hopefully this is just temporary, as soon as those changes will be
    included upstream we'll revert to a small diff file; closes: #717067.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 17 Jul 2013 10:49:42 +0200

chicken (4.8.0.3-1) unstable; urgency=high

  * New upstream version, including upstream fixes for:
    - CVE-2012-6122 Use POSIX() poll on systems where available.
    - CVE-2012-6123 Added checks for embedded '\0' characters.
    - CVE-2012-6124 On 64-bit machines the "random" procedure no longer
      truncates result values.
    - CVE-2012-6125 Improved hash table collision resistance.  
  * Added fix-untrusted-code.patch to prevent execution of untrusted code,
    see CVE-2013-1874, patch provided by upstream.
  * Added fix-command-injection.patch to fix a command injection
    vulnerability, see CVE-2013-2024, patch provided by upstream.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 15 Jul 2013 11:23:44 +0200
