## chicken 4.8.0.5

=== Makefile ===
# See GNUmakefile for the actual makefile used by gmake

all:
	@echo "Sorry, Chicken can only be built with GNU Make."
	@echo ""
	@echo "The '${MAKE}' command you just used is probably your system's"
	@echo "default Make program, which apparently is not GNU Make."
	@echo ""
	@echo "Try 'gmake' or 'gnumake' instead. If that doesn't work you'll"
	@echo "probably need to install a package or build it yourself."
