=== debian/changelog ===
chicken (4.8.0.5-1) unstable; urgency=high

  * New upstream version (fixing CVE-2013-4385); closes: #724740.
  * Removing Build-Depends on libpcre3-dev; closes: #729144.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 01 Feb 2014 19:38:55 +0100
