=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+ifeq ($(BUILD_ARCH),ia64)
+ LDFLAGS:=-Wl,-z,relro
+endif
 
 MAKE:=$(MAKE) PLATFORM=linux
 PREFIX=/usr
@@ -30,7 +34,7 @@
 	rm -f build-stamp
 	$(MAKE) clean
 	$(MAKE) distclean
-	rm -f c_defaults.h chicken_defaults.h lib*.so chicken.info-*		
+	rm -f c_defaults.h chicken_defaults.h lib*.so chicken.info-*
 	dh_clean
 
 install: build
