## chicken 4.9.0

=== debian/changelog ===
chicken (4.9.0-1) unstable; urgency=high

  * New upstream version, fixing CVE-2014-3776; closes: #748904.
  * Removed fix-untrusted-code.patch and fix-command-injection.patch,
    now shipped upstream.
  * Now shipping libchicken7 instead of libchicken6.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 07 Jun 2014 12:20:17 +0200
