## chicken 4.9.0.1

=== debian/changelog ===
chicken (4.9.0.1-1) unstable; urgency=high

  * New upstream version;
    fixed a wrong C_MINOR_VERSION setting; closes: #768308.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 23 Nov 2014 19:24:20 +0100
