=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 MAKE:=$(MAKE) PLATFORM=linux
 PREFIX=/usr
-BINARYVERSION=6
+BINARYVERSION=7
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -47,9 +47,9 @@
 # placed by dpkg-buildpackage. If absolute files are specified,
 # i.e. /var/lib/chicken, then those files will be installed on the
 # build system, but will not end up in the package.
-	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS),-R"."' LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS),-R"."' LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS),-soname,libchicken.so.6' VARDIR="$(CURDIR)/debian/tmp/var/lib" install
+	$(MAKE) PREFIX="$(CURDIR)/debian/tmp/usr" LINKER_LINK_SHARED_DLOADABLE_OPTIONS='-L. -shared $(LDFLAGS),-R"."' LINKER_LINK_SHARED_PROGRAM_OPTIONS='$(LDFLAGS),-R"."' LIBCHICKEN_SO_LINKER_OPTIONS='$(LDFLAGS),-soname,libchicken.so.7' VARDIR="$(CURDIR)/debian/tmp/var/lib" install
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
-	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/6/*.so
+	chrpath -d $(CURDIR)/debian/tmp/var/lib/chicken/7/*.so
 
 binary-common:
 	dh_testdir
@@ -70,7 +70,7 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_installdeb
-	dh_shlibdeps -l debian/libchicken6/usr/lib
+	dh_shlibdeps -l debian/libchicken7/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
