## chicken 4.10.0

=== debian/changelog ===
chicken (4.10.0-1) unstable; urgency=high

  * New upstream version, fixing CVE-2014-9651 and CVE-2015-4556.
    closes: #775346, #788833.
  * ACK to Tobias Frost's NMU, thanks! closes: #825724.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 12 Jun 2016 17:33:30 +0200
