## chicken 4.11.0

=== debian/changelog ===
chicken (4.11.0-1) unstable; urgency=medium

  * New upstream version; closes: #825720, #844371.
  * Now shipping libchicken8 instead of libchicken7.
  * Removed obsolete dpkg option from debian/rules; closes: #834103.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 14 Dec 2016 23:41:18 +0100
