=== debian/control ===
--- 
+++ 
@@ -20,13 +20,13 @@
  This package contains the compiler.
  
 
-Package: libchicken7
+Package: libchicken8
 Architecture: any
 Section: libs
 Priority: optional
-Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6
+Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6
+Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7
 Description: Practical and portable Scheme system - runtime
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C. 
  It uses the ideas presented in Baker's paper "Cheney on the MTA", and 
@@ -41,7 +41,7 @@
 Section: libdevel
 Priority: optional
 Conflicts: chicken, chicken-dev
-Depends: libchicken7 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
+Depends: libchicken8 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
 Replaces: chicken, chicken-dev
 Description: Practical and portable Scheme system - development
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C.
