## chicken 4.12.0

=== debian/changelog ===
chicken (4.12.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Add a watch file.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 17 Nov 2017 17:57:14 +0100

chicken (4.12.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Re-upload NMU from Tobias rejected by the archive software.
  * Remove useless debian/*.dirs files.
  * Bump debhelper compat level to 10.
  * debian/rules: rewrite using the dh sequencer.  Closes: #879640
    + Keep parallel disable due to the makefile not being parallel-safe.
    + This also enables build-time tests, which are never a bad things.
    + Remove injection of rpath, as it's not compliant to Debian Policy.
    + Fix linker flags passing to not assume LDFLAGS ends with -Wl.  Closes: #743065

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 14 Nov 2017 22:47:09 +0100

chicken (4.12.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
      - fixes CVE-2016-6830, CVE-2016-6831 (Closes: #834845)
      - fixes CVE-2016-9954 (Closes: #851278)
  * Cherry pick upstream patches for. Patches are named after the CVE
      - CVE-2017-9334 (Closes: #863884)
      - CVE-2017-6949 (Closes: #858057)
      - CVE-2017-11343 (Closes: #870266)

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Oct 2017 23:04:32 +0200
