=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Davide Puricelli (evo) <evo@debian.org>
-Build-Depends: debhelper (>> 5.0.0), texinfo, chrpath
+Build-Depends: debhelper (>= 10), chrpath, texinfo, chicken-bin
 Standards-Version: 3.8.4.0
 
 Package: chicken-bin
