## chicken 4.13.0

=== debian/changelog ===
chicken (4.13.0-1) unstable; urgency=low

  * New upstream version.
  * Acknowledging previous NMUs, thanks!
  * Removing patches CVE-2017-9334, CVE-2017-6949 and CVE-2017-11343,
    now shipped upstream. 

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 03 Aug 2018 09:20:43 +0200
