=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	grep -l 'Generated from .*\.scm by the CHICKEN compiler' * | xargs rm -fv || /bin/true
 	find . -name '*.so' -delete
 	rm -rf tests/a.out tests/empty-file tests/fft1  tests/fft2 tests/find-files-test-dir/dir-link-target/bar \
 		tests/find-files-test-dir/dir-link-target/foo \
