=== debian/changelog ===
chicken (5.1.0-1) unstable; urgency=low

  * New upstream version; closes: #920675.
  * Now shipping libchicken11 instead of libchicken9.
  * Fixed debian/rules to make chicken cross buildable, closes: #915818.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 22 Jun 2019 11:41:17 +0200

chicken (5.0.0-1) unstable; urgency=low

  * New upstream version.
  * Now shipping libchicken9 instead of libchicken8.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 14 Jun 2019 10:39:27 +0200
