## chicken 5.2.0

=== debian/changelog ===
chicken (5.2.0-2) unstable; urgency=low

  * debian/rules: fixing PLATFORM variable to let chicken build on hurd,
    thanks Andrew Eggenberger.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 21 Oct 2020 17:32:57 +0200

chicken (5.2.0-1) unstable; urgency=high

  * New upstream version.
  * Fixed a build problem on armel architecture; closes: #946214.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 04 Mar 2020 11:59:03 +0100
