=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
-export PLATFORM=linux
+export PLATFORM=$(shell dpkg-architecture -q DEB_TARGET_ARCH_OS)
 export PREFIX=/usr
 export VARDIR=/var/lib
-export DEBUGBUILD=1
 
 %:
 	dh $@ --no-parallel
@@ -40,7 +39,8 @@
 		tests/tmp1.out tests/tmp2.out tests/tmp3.out tests/x.out tests/fft1.out tests/fft2.out \
 		tests/null tests/null.o tests/test-repository/reverser.o tests/test-repository/sample-module.o \
 		tests/redact-gensyms tests/scrutinizer-message-format.out tests/scrutinizer-message-format.redacted \
-		tests/scrutiny-2.redacted tests/scrutiny.redacted tests/specialization.redacted 
+		tests/scrutiny-2.redacted tests/scrutiny.redacted tests/specialization.redacted \
+		tests/inline-me.import.scm tests/inline-me.inline
 
 override_dh_auto_build:
 	dh_auto_build -- HOSTSYSTEM=$(DEB_HOST_GNU_TYPE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/
