## chicken 5.3.0

=== debian/changelog ===
chicken (5.3.0-2) unstable; urgency=high

  * Acknowledging previous NMU, thanks!
  * debian/control: removed depends on libpcre3-dev, closes: #1071620
  * Removing obsolete debian/README.Debian file.
  * Fixed build on hppa arch, thanks John David Anglin; closes: #933574

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 21 Jun 2024 16:49:19 +0200

chicken (5.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062056

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:33:19 +0000

chicken (5.3.0-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 12 Oct 2022 00:48:22 +0200
