=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Davide Puricelli (evo) <evo@debian.org>
-Build-Depends: debhelper (>= 10), chrpath, texinfo
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10), chrpath, texinfo
 Standards-Version: 3.8.4.0
 
 Package: chicken-bin
@@ -20,13 +20,15 @@
  This package contains the compiler.
  
 
-Package: libchicken8
+Package: libchicken11t64
+Provides: ${t64:Provides}
+Breaks: libchicken11 (<< ${source:Version})
 Architecture: any
 Section: libs
 Priority: optional
-Replaces: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7
+Replaces: libchicken11, chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7, libchicken8, libchicken9
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7
+Conflicts: chicken, chicken-dev, libchicken0, libchicken3, libchicken4, libchicken5, libchicken6, libchicken7, libchicken8, libchicken9
 Description: Practical and portable Scheme system - runtime
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C. 
  It uses the ideas presented in Baker's paper "Cheney on the MTA", and 
@@ -41,7 +43,7 @@
 Section: libdevel
 Priority: optional
 Conflicts: chicken, chicken-dev
-Depends: libchicken8 (= ${binary:Version}), libpcre3-dev, ${misc:Depends}
+Depends: libchicken11t64 (= ${binary:Version}), ${misc:Depends}
 Replaces: chicken, chicken-dev
 Description: Practical and portable Scheme system - development
  CHICKEN is a Scheme compiler which compiles a subset of R5RS into C.
