=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,9 @@
 		tests/null tests/null.o tests/test-repository/reverser.o tests/test-repository/sample-module.o \
 		tests/redact-gensyms tests/scrutinizer-message-format.out tests/scrutinizer-message-format.redacted \
 		tests/scrutiny-2.redacted tests/scrutiny.redacted tests/specialization.redacted \
-		tests/inline-me.import.scm tests/inline-me.inline
+		tests/inline-me.import.scm tests/inline-me.inline tests/posix-tests.out \
+                tests/reexport-m7.import.scm tests/reexport-m8.import.scm tests/reexport-m9.import.scm \
+                tests/reexport-m10.import.scm tests/test-line-numbers.out
 
 override_dh_auto_build:
 	dh_auto_build -- HOSTSYSTEM=$(DEB_HOST_GNU_TYPE) PREFIX=$(PREFIX) C_COMPILER_OPTIMIZATION_OPTIONS="$(CFLAGS) $(CPPFLAGS)" VARDIR=/var/lib/
